[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'DB' (#fcl)

# TDatabase.Transactions

Indexed access to all transaction components connected to this database.

## Declaration

Source position: db.pas line 2090

`public property TDatabase.Transactions[Index: LongInt] : TDBTransaction read GetTransaction;`

## Description

Transactions provides indexed access to the transaction components connected to this database. The Index is zero based: it runs from 0 to TransactionCount-1.

## See also

TDatabase.TransactionCount |  | Number of transaction components connected to this database.